<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku moc_VelocityGraph.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('moc___velocity_graph_8cpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Komponenty</a> &#124;
<a href="#namespaces">Przestrzenie nazw</a> &#124;
<a href="#define-members">Definicje</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja pliku moc_VelocityGraph.cpp</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_velocity_graph_8hpp_source.html">../inc/VelocityGraph.hpp</a>&quot;</code><br />
<code>#include &lt;QtGui/qtextcursor.h&gt;</code><br />
<code>#include &lt;QScreen&gt;</code><br />
<code>#include &lt;QtCore/qmetatype.h&gt;</code><br />
<code>#include &lt;memory&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla moc_VelocityGraph.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="moc___velocity_graph_8cpp__incl.png" border="0" usemap="#amoc___velocity_graph_8cpp" alt=""/></div>
<map name="amoc___velocity_graph_8cpp" id="amoc___velocity_graph_8cpp">
<area shape="rect" title=" " alt="" coords="3349,5,3508,31"/>
<area shape="rect" href="_velocity_graph_8hpp.html" title=" " alt="" coords="3051,79,3209,104"/>
<area shape="poly" title=" " alt="" coords="3381,33,3192,78,3191,73,3380,28"/>
<area shape="rect" title=" " alt="" coords="3233,79,3368,104"/>
<area shape="poly" title=" " alt="" coords="3409,33,3335,74,3333,69,3407,28"/>
<area shape="rect" title=" " alt="" coords="3392,79,3465,104"/>
<area shape="poly" title=" " alt="" coords="3431,31,3431,65,3426,65,3426,31"/>
<area shape="rect" title=" " alt="" coords="3489,79,3627,104"/>
<area shape="poly" title=" " alt="" coords="3451,28,3526,69,3523,74,3448,33"/>
<area shape="rect" title=" " alt="" coords="3651,79,3719,104"/>
<area shape="poly" title=" " alt="" coords="3471,28,3638,74,3636,79,3469,33"/>
<area shape="rect" href="qcustomplot_8hpp.html" title=" " alt="" coords="2111,152,2229,177"/>
<area shape="poly" title=" " alt="" coords="3051,101,2243,161,2243,155,3050,96"/>
<area shape="rect" href="_framed_widget_8hpp.html" title=" " alt="" coords="4070,152,4201,177"/>
<area shape="poly" title=" " alt="" coords="3210,100,3221,101,3459,121,3695,137,4057,157,4056,162,3695,143,3459,127,3220,107,3209,106"/>
<area shape="rect" title=" " alt="" coords="5,225,124,251"/>
<area shape="poly" title=" " alt="" coords="2111,169,1176,186,585,204,333,215,138,228,138,223,333,210,585,198,1176,181,2111,164"/>
<area shape="rect" title=" " alt="" coords="149,225,263,251"/>
<area shape="poly" title=" " alt="" coords="2111,169,1239,187,692,204,458,215,277,228,277,223,458,210,691,199,1239,181,2111,164"/>
<area shape="rect" title=" " alt="" coords="288,225,407,251"/>
<area shape="poly" title=" " alt="" coords="2111,170,1304,188,802,205,587,216,421,228,421,223,587,211,802,200,1304,183,2111,164"/>
<area shape="rect" title=" " alt="" coords="431,225,589,251"/>
<area shape="poly" title=" " alt="" coords="2111,169,1873,172,1504,181,1062,199,603,228,603,223,1061,193,1504,176,1873,167,2111,164"/>
<area shape="rect" title=" " alt="" coords="613,225,724,251"/>
<area shape="poly" title=" " alt="" coords="2111,168,1890,170,1554,177,1153,195,944,209,738,228,738,223,944,204,1153,190,1554,172,1890,164,2111,163"/>
<area shape="rect" title=" " alt="" coords="748,225,859,251"/>
<area shape="poly" title=" " alt="" coords="2111,169,1909,171,1605,180,1245,198,1058,211,872,228,872,223,1057,206,1245,192,1605,175,1909,166,2111,164"/>
<area shape="rect" title=" " alt="" coords="883,225,1022,251"/>
<area shape="poly" title=" " alt="" coords="2111,170,1668,186,1358,203,1036,228,1036,223,1357,197,1668,180,2111,165"/>
<area shape="rect" title=" " alt="" coords="1046,225,1179,251"/>
<area shape="poly" title=" " alt="" coords="2111,171,1729,188,1466,205,1194,228,1193,223,1466,199,1729,182,2111,165"/>
<area shape="rect" title=" " alt="" coords="1204,225,1347,251"/>
<area shape="poly" title=" " alt="" coords="2111,172,1795,191,1581,208,1360,228,1360,223,1581,202,1795,186,2111,166"/>
<area shape="rect" title=" " alt="" coords="1371,225,1510,251"/>
<area shape="poly" title=" " alt="" coords="2111,173,1860,194,1524,228,1523,223,1860,189,2111,168"/>
<area shape="rect" title=" " alt="" coords="1535,225,1648,251"/>
<area shape="poly" title=" " alt="" coords="2111,175,1916,196,1662,228,1661,223,1916,191,2111,169"/>
<area shape="rect" title=" " alt="" coords="1673,225,1787,251"/>
<area shape="poly" title=" " alt="" coords="2111,178,1801,228,1800,222,2111,173"/>
<area shape="rect" title=" " alt="" coords="1812,225,1923,251"/>
<area shape="poly" title=" " alt="" coords="2122,180,1930,225,1929,220,2121,175"/>
<area shape="rect" title=" " alt="" coords="1947,225,2081,251"/>
<area shape="poly" title=" " alt="" coords="2146,180,2053,222,2051,217,2144,175"/>
<area shape="rect" title=" " alt="" coords="2105,225,2235,251"/>
<area shape="poly" title=" " alt="" coords="2173,178,2173,212,2167,212,2167,178"/>
<area shape="rect" title=" " alt="" coords="2259,225,2369,251"/>
<area shape="poly" title=" " alt="" coords="2194,175,2279,217,2277,221,2192,180"/>
<area shape="rect" title=" " alt="" coords="2393,225,2507,251"/>
<area shape="poly" title=" " alt="" coords="2216,175,2392,219,2391,224,2214,180"/>
<area shape="rect" title=" " alt="" coords="2532,225,2643,251"/>
<area shape="poly" title=" " alt="" coords="2229,173,2518,222,2517,228,2228,179"/>
<area shape="rect" title=" " alt="" coords="2667,225,2782,251"/>
<area shape="poly" title=" " alt="" coords="2229,170,2654,223,2655,223,2654,228,2654,228,2229,175"/>
<area shape="rect" title=" " alt="" coords="2806,225,2929,251"/>
<area shape="poly" title=" " alt="" coords="2229,168,2471,188,2793,223,2792,228,2470,194,2229,173"/>
<area shape="rect" title=" " alt="" coords="2953,225,3021,251"/>
<area shape="poly" title=" " alt="" coords="2229,165,2530,179,2732,196,2940,223,2940,228,2731,202,2530,184,2229,170"/>
<area shape="rect" title=" " alt="" coords="3046,225,3099,251"/>
<area shape="poly" title=" " alt="" coords="2229,163,2372,165,2572,174,2801,192,2918,205,3033,223,3034,223,3033,228,3032,228,2918,211,2801,197,2571,179,2372,171,2229,169"/>
<area shape="rect" title=" " alt="" coords="3123,225,3198,251"/>
<area shape="poly" title=" " alt="" coords="2229,164,2380,167,2597,176,2849,193,3110,223,3109,228,2849,199,2596,181,2380,172,2229,169"/>
<area shape="rect" title=" " alt="" coords="3222,225,3307,251"/>
<area shape="poly" title=" " alt="" coords="2229,164,2395,167,2635,175,2917,193,3209,223,3208,228,2917,198,2635,181,2395,172,2229,169"/>
<area shape="rect" title=" " alt="" coords="3332,225,3469,251"/>
<area shape="poly" title=" " alt="" coords="2229,165,2677,180,2992,197,3318,223,3318,228,2991,203,2676,185,2229,170"/>
<area shape="rect" title=" " alt="" coords="3493,225,3692,251"/>
<area shape="poly" title=" " alt="" coords="2229,165,2738,182,3102,199,3480,223,3480,228,3102,205,2738,188,2229,170"/>
<area shape="rect" title=" " alt="" coords="3716,225,3872,251"/>
<area shape="poly" title=" " alt="" coords="2229,164,2463,167,2823,176,3255,194,3703,223,3702,228,3255,199,2823,182,2463,173,2229,169"/>
<area shape="rect" title=" " alt="" coords="3896,225,4031,251"/>
<area shape="poly" title=" " alt="" coords="2229,163,2487,164,2891,171,3378,189,3632,204,3882,223,3882,228,3631,209,3377,195,2891,177,2487,170,2229,168"/>
<area shape="rect" title=" " alt="" coords="4055,225,4125,251"/>
<area shape="poly" title=" " alt="" coords="4130,179,4107,215,4102,212,4126,176"/>
<area shape="rect" title=" " alt="" coords="4149,225,4213,251"/>
<area shape="poly" title=" " alt="" coords="4145,176,4168,212,4164,215,4141,179"/>
<area shape="rect" title=" " alt="" coords="4237,225,4340,251"/>
<area shape="poly" title=" " alt="" coords="4161,175,4252,217,4250,222,4159,180"/>
</map>
</div>
</div>
<p><a href="moc___velocity_graph_8cpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Komponenty</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a653cec0b74c81ff778c2e4389a20a28c.html">QT_WARNING_DISABLE_DEPRECATED::qt_meta_stringdata_CLASSVelocityGraphENDCLASS_t</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="namespaces" name="namespaces"></a>
Przestrzenie nazw</h2></td></tr>
<tr class="memitem:namespace_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d.html">QT_WARNING_DISABLE_DEPRECATED</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Definicje</h2></td></tr>
<tr class="memitem:ad83b2306f94b5b9e5625794fc238c8a0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="moc___velocity_graph_8cpp.html#ad83b2306f94b5b9e5625794fc238c8a0">Q_CONSTINIT</a></td></tr>
<tr class="separator:ad83b2306f94b5b9e5625794fc238c8a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c6e81753001d10d51e62d0a29c273bc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="moc___velocity_graph_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(ofs,  len)&#160;&#160;&#160;    uint(sizeof(qt_meta_stringdata_CLASSVelocityGraphENDCLASS_t::offsetsAndSizes) + ofs), len</td></tr>
<tr class="separator:a3c6e81753001d10d51e62d0a29c273bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Dokumentacja definicji</h2>
<a id="ad83b2306f94b5b9e5625794fc238c8a0" name="ad83b2306f94b5b9e5625794fc238c8a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad83b2306f94b5b9e5625794fc238c8a0">&#9670;&#160;</a></span>Q_CONSTINIT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define Q_CONSTINIT</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="moc___velocity_graph_8cpp_source.html#l00032">32</a> pliku <a class="el" href="moc___velocity_graph_8cpp_source.html">moc_VelocityGraph.cpp</a>.</p>

</div>
</div>
<a id="a3c6e81753001d10d51e62d0a29c273bc" name="a3c6e81753001d10d51e62d0a29c273bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c6e81753001d10d51e62d0a29c273bc">&#9670;&#160;</a></span>QT_MOC_LITERAL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define QT_MOC_LITERAL</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">ofs, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">len&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;    uint(sizeof(qt_meta_stringdata_CLASSVelocityGraphENDCLASS_t::offsetsAndSizes) + ofs), len</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="moc___velocity_graph_8cpp_source.html#l00050">50</a> pliku <a class="el" href="moc___velocity_graph_8cpp_source.html">moc_VelocityGraph.cpp</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_fdb94c866a62644ee9972e7b13732458.html">build-Robomap-LinuxMint-Debug</a></li><li class="navelem"><a class="el" href="moc___velocity_graph_8cpp.html">moc_VelocityGraph.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
